//+------------------------------------------------------------------+
//|                                        PriceChanel_Stop_v1_2.mq4 |
//|                                Copyright  2010, Michelangelo   |
//|                                         http://www.fxtraders.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Michelangelo "
#property link      "http://www.fxtraders.net"

extern int Length = 20;
extern int Deviation = 1;
extern double MoneyRisk = 1.0;
extern int Signal = 1;
extern int Line = 1;
extern int Nbars = 10000;
extern int TakeProfit=100;

double UpTrendSignal=-1.0;
double DownTrendSignal=-1.0;
double Lots;
datetime timeSignal;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
  int Ticket;
  double TP;
//----
   Ticket=-1;
   Lots=MarketInfo(Symbol(),MODE_MINLOT);
   UpTrendSignal=iCustom(Symbol(),0,"BBANDS~1",Length,Deviation,MoneyRisk,Signal,Line,Nbars,2,0);
   if (UpTrendSignal>0){
      if (timeSignal<=Time[0]){
         RefreshRates();
         Ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,5,0,0,0,0,0,Green);
         if (TakeProfit>0 && Ticket>0) {
            TP=NormalizeDouble((Ask+TakeProfit*Point),MarketInfo(Symbol(),MODE_DIGITS));
            OrderModify(Ticket,OrderOpenPrice(),0,TP,0,0);
            }
         Print("   !");
         timeSignal=TimeCurrent();
         }
         }
   DownTrendSignal=iCustom(Symbol(),0,"BBANDS~1",Length,Deviation,MoneyRisk,Signal,Line,Nbars,3,0);
   if (DownTrendSignal>0){
      if (timeSignal<=Time[0]){
         RefreshRates();
         Ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,5,0,0,0,0,0,Green);
         if (TakeProfit>0 && Ticket>0) {
            TP=NormalizeDouble((Bid-TakeProfit*Point),MarketInfo(Symbol(),MODE_DIGITS));
            OrderModify(Ticket,OrderOpenPrice(),0,TP,0,0);
            }
         Print("   !");
         timeSignal=TimeCurrent();
         }
         }
    
//----
   return(0);
  }
//+------------------------------------------------------------------+